Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

alt text

Last 14 days I am having problem in upgrading. Each time when I attempt to upgrade, I get a message (See attached image). Please help me in solving this issue

share|improve this question
    
What are you upgrading from, and to? –  Marco Ceppi Sep 29 '10 at 19:20
add comment

1 Answer

(note: all my references to menu entries and window titles may be broken. I don't have an english version of Ubuntu, so I'm just translating from my own UI. I hope it will help you find the propper items anyway. Anyone with an English UI is welcome to edit my post with the propper names :-) ).

You seem to have a third party repository installed, that doesn't answer anymore. Actually, given its name, it looks more like a "sample PPA address" than a real thing... Do you remember adding an external software some times ago (say: 14 days ago) ?

Here are some ideas about what to do with it:

1) You can uncheck it from your sources list, to remove the error and upgrade everything else.

Go to System->Administration->Software Sources, then open the "Other software" tab. You should see a list of external repositories, and the one listed in your error (http://ppa.launchpad.net/user/ppa-name/ubuntu/) should be there.

Just uncheck the box next to it, or even remove it from the list, then close the window and launch the "Update Manager" again.

2) If the PPA should really be working and you installed things through it, removing it from the sources will break the link of this software to its original repository, which means it won't be updated anymore. Maybe you don't really care, and then it's ok, but if you want to know what software it is and see if you can re-install its repository, follow the guidelines below :

To locate it, you can go to Synaptics (System->Administration->Synaptic Package Manager). On the lower left corner, you can select the "state" button, which shows, on the upper left, the "local" installed components. All software that are not linked to a repository will be shown there (either installed by a .deb, or because the link is broken as said above).

If you have such "local" software, you can then try to understand where it was supposed to come from. Then you can try to re-install the propper repository for it (as you did in the first place). This really depends on the software itself, so I can't be more precise...

Hope this helps...

share|improve this answer
    
Thanks it helped :) thank you –  Karthick Bala Sep 29 '10 at 6:57
1  
looks like OP's problem is solved, however, as per ur request, a few tweaks from my english UI installation: 1. Synaptic is available as System -> Administration -> Synaptic Package Manager; 2. The ppa entry under "Other software" does not contain the part "/dists" (in this case, it will be http://ppa.launchpad.net/user/ppa-name/ubuntu lucid main) –  koushik Sep 29 '10 at 11:42
    
@koushik: thanks for the update :) I edited my post accordingly. –  Little Jawa Sep 29 '10 at 18:58
    
@Karthick Bala: You're welcome :) Happy to help. –  Little Jawa Sep 29 '10 at 18:58
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.